#!/bin/sh
echo "Rerouting c:\\trace_b.txt to /dev/null."
echo "Courtesy of Volker Moell (volker@die-moells.de)"

# Search the library path, the same as ld.so
for d in `echo $LD_LIBRARY_PATH | tr : " "` `cat /etc/ld.so.conf` /usr/lib /lib ; do
  echo "Searching $d..."
  if [ -f $d/libdivxencore.so ] ; then
    echo "Found libdivxencore in $d"
    T=`dd if=$d/libdivxencore.so bs=1 skip=262492 count=14 2> /dev/null`
    if test x$T = xc\:\\trace_b.txt ; then
      echo $d/libdivxencore.so seems to write to c\:\\trace_b.txt
      echo -n "Do you want to fix it? (y/n) "
      read yn junk
      if test x$yn = xy ; then
        echo "fixing..."
        perl -pi -e 's|c:\\trace_b.txt|/dev/null\0\0\0\0\0|' $d/libdivxencore.so
      else
        echo "OK - I won't fix it..."
      fi
    else
      echo $d/libdivxencore.so is of different version, or already fixed.
    fi
  fi
done
