#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <arpa/inet.h>
#ifdef CYGWIN
 #include <cygint.h>
#else
 #include <stdint.h>
#endif
#include <netdb.h>

#include "mcplay.h"
#include "input_mc.h"

int main(int argc, char **argv)
{
	struct mcsi_t m;
	char buf[MCSI_MAXPACK];
	int i;
	
	if(argc != 2) {
		EPRINT("Usage: %s <url>\n", argv[0]);
		return -1;
	}
	
	if(mcsi_init(&m, argv[1])) {
		EPRINT("Could not open url!\n");
		return -1;
	}

	while(1) {
		i = mcsi_read_raw(&m, buf, MCSI_MAXPACK);
		write(STDOUT_FILENO, buf, i);
	}
	mcsi_done(&m);
	return 0;
}
