#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <assert.h>
#include <time.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <arpa/inet.h>
#ifdef CYGWIN
 #include <cygint.h>
#else
 #include <stdint.h>
#endif
#include <netdb.h>

#include "mcplay.h"
#include "input_mc.h"

int main(int argc, char **argv)
{
	char buf[MCSI_MAXPACK];
	struct mcsi_t m;
	int i;
	unsigned long long b = 0;
	time_t t0, t, t2;
	double tot = 0;
	double avg = 0;
	double tavg = 0;
	
	t0 = t = time(NULL);
	
	if(argc != 2) {
		EPRINT("Usage: %s <url>\n", argv[0]);
		return -1;
	}
	
	if(mcsi_init(&m, argv[1])) {
		EPRINT("Could not open url!\n");
		return -1;
	}

	fprintf(stderr, "Time (s)\t| Tot (MByte) | Short Term Avg (kbit/s) | Long Term Avg (kbit/s)\n");
	while(1) {
		i = mcsi_read_raw(&m, buf, MCSI_MAXPACK);
		b += i;
		t2 = time(NULL);
		if(t2 > t) {
			tot += (double)b / (1024.0 * 1024.0);	/* MByte */

			tavg = tot / (double)(t2 - t0); 	/* MByte/s */
			tavg *= 1024.0 * 1024.0 * 8;		/* bit/s */
			tavg /= 1000.0;				/* kbit/s */

			avg += (0.1) * (double)(b / (t2 - t)) * 8.0 / 1000.0;
			avg /= 1.1;

			fprintf(stderr, "%lu\t\t| %6.1f      | %6.0f                  |  %6.0f        \r", t2 - t0, tot, avg, tavg);

			b = 0;
			t = t2;
		}
	}

	mcsi_done(&m);
	return 0;
}
